capture log close
log using csectionNJ_t2345678.txt, text replace
set more off
set varabbrev off
use csectionNJ.dta, clear

local chars black white hispanic edulths eduhs edusomecollege edu_missing married married_missing medicaid medicaid_missing teenmom mom2534 mom35p male smoking smoking_missing parity2 parity3 parity4p parity_missing
local outcomes_mom    bad_mom delivery_complications m_complications 
local outcomes_infant bad_infant fetal_distress birth_injury infdeath30 

* Table 2
summ csection anybad bad_mom delivery_complications m_complications bad_infant fetal_distress birth_injury infdeath30 
summ doc_count zsum zdskill dmprice share_vhi 
summ black hispanic married edulths teenmom mom35p smoking male parity2 parity3 parity4p parity_missing medicaid 
bysort risk2cat: summ csection anybad bad_mom delivery_complications m_complications bad_infant fetal_distress birth_injury infdeath30 
bysort risk2cat: summ doc_count zsum zdskill dmprice share_vhi 
bysort risk2cat: summ black hispanic married edulths teenmom mom35p smoking male parity2 parity3 parity4p parity_missing medicaid 

* Table 3, 4 (C-Section Risk TSLS)
ivregress 2sls csection plogit dmprice dprice_missing `chars' weekday01 i.dobyear i.dobmonth i.zip3 (zsum zdskill = zm_sumX zm_skill), first cluster(zip3)
bysort risk2cat: ivregress 2sls csection plogit dmprice dprice_missing `chars' weekday01 i.dobyear i.dobmonth i.zip3 (zsum zdskill = zm_sumX zm_skill), first cluster(zip3)

* Table 4 (C-section Risk OLS), Appendix B-Table 1
regress csection zsum zdskill dmprice dprice_missing plogit `chars' weekday01 i.dobyear i.dobmonth i.zip3, cluster(zip3) 
bysort risk2cat: regress csection zsum zdskill plogit dmprice dprice_missing `chars' weekday01 i.dobyear i.dobmonth i.zip3, cluster(zip3)

* Table 4 (Any Bad Outcome)
regress anybad zsum zdskill plogit dmprice dprice_missing `chars' weekday01 i.dobyear i.dobmonth i.zip3, cluster(zip3)
bysort risk2cat: regress anybad zsum zdskill plogit dmprice dprice_missing `chars' weekday01 i.dobyear i.dobmonth i.zip3, cluster(zip3)
ivregress 2sls anybad plogit dmprice dprice_missing `chars' weekday01 i.dobyear i.dobmonth i.zip3 (zsum zdskill = zm_sumX zm_skill), cluster(zip3)
bysort risk2cat: ivregress 2sls anybad plogit dmprice dprice_missing `chars' weekday01 i.dobyear i.dobmonth i.zip3 (zsum zdskill = zm_sumX zm_skill), cluster(zip3)

* Table 5 
foreach o in `outcomes_mom' {
regress `o' zsum zdskill plogit dmprice dprice_missing `chars' weekday01 i.dobyear i.dobmonth i.zip3, cluster(zip3)
bysort risk2cat: regress `o' zsum zdskill plogit dmprice dprice_missing `chars' weekday01 i.dobyear i.dobmonth i.zip3, cluster(zip3)
ivregress 2sls `o' plogit dmprice dprice_missing `chars' weekday01 i.dobyear i.dobmonth i.zip3 (zsum zdskill = zm_sumX zm_skill), cluster(zip3)
bysort risk2cat: ivregress 2sls `o' plogit dmprice dprice_missing `chars' weekday01 i.dobyear i.dobmonth i.zip3 (zsum zdskill = zm_sumX zm_skill), cluster(zip3)
}

* Table 6
foreach o in `outcomes_infant' {
regress `o' zsum zdskill plogit dmprice dprice_missing `chars' weekday01 i.dobyear i.dobmonth i.zip3, cluster(zip3)
bysort risk2cat: regress `o' zsum zdskill plogit dmprice dprice_missing `chars' weekday01 i.dobyear i.dobmonth i.zip3, cluster(zip3)
ivregress 2sls `o' plogit dmprice dprice_missing `chars' weekday01 i.dobyear i.dobmonth i.zip3 (zsum zdskill = zm_sumX zm_skill), cluster(zip3)
bysort risk2cat: ivregress 2sls `o' plogit dmprice dprice_missing `chars' weekday01 i.dobyear i.dobmonth i.zip3 (zsum zdskill = zm_sumX zm_skill), cluster(zip3)
}

* Table 7
local outcomes anybad bad_mom bad_infant
foreach o in csection `outcomes' {
bysort risk3cat: ivregress 2sls `o' plogit dmprice dprice_missing `chars' weekday01 i.dobyear i.dobmonth i.zip3 (zsum zdskill = zm_sumX zm_skill), cluster(zip3)
}

* Table 8
keep if parity2~=1&parity3~=1&parity4p~=1&parity_missing~=1
local chars_firstborn black white hispanic edulths eduhs edusomecollege edu_missing married married_missing medicaid medicaid_missing teenmom mom2534 mom35p male smoking smoking_missing 
foreach o in csection `outcomes' {
bysort risk3cat_firstbirth: ivregress 2sls `o' plogit dmprice dprice_missing `chars_firstborn' weekday01 i.dobyear i.dobmonth i.zip3 (zsum zdskill = zm_sumX zm_skill), cluster(zip3)
}
log close

